import styled, { withTheme } from 'styled-components';
import { IMAGE_HEIGHT } from './constants';

const Image = styled.div`
  position: relative;
  width: 100%;

  background-image: url(${props => props.src});
  background-position-x: center;
  background-repeat: no-repeat;
  background-size: contain;
  height: ${IMAGE_HEIGHT};

  @media (min-width: ${({ theme }) => theme.breakpoints.values.sm}px) {
    background-position-x: 100%;
  }
`;

Image.defaultProps = {
  theme: { breakpoints: { medium: undefined } }
};

export default withTheme(Image);
