import styled, { withTheme } from 'styled-components';
import { Column } from '@comparaonline/ui-grid';
import { IMAGE_HEIGHT } from './constants';

export const HeroHeaderWrapper = withTheme(styled.div`
  margin-top: ${p => `${p.theme.spacing.unit}px`};
  margin-bottom: ${p => `${p.theme.spacing.unit * 4}px`};
`);

export const ColumnHeader = withTheme(styled(Column)`
  position: relative;
  background-repeat: no-repeat;
  background-position: right -${p => p.theme.spacing.unit}px bottom 0;
  background-size: contain;
  min-height: ${IMAGE_HEIGHT};
  background-image: url("${props => props.backgroundImages.small}");
  
  @media (min-width: ${({ theme }) => theme.breakpoints.values.sm}px) {
    background-image: url("${props => props.backgroundImages.large}");    
  }

  @media (min-width: ${({ theme }) => theme.breakpoints.values.md}px) {
    background-position: right 0 bottom 0;
  }  
`);

export const TitleContainer = withTheme(styled.div`
  width: 100%;
  margin-right: ${p => `${p.theme.spacing.unit * 15}px`};
  padding-top: ${p => `${p.theme.spacing.unit * 4}px`};
`);

export const BreadcrumbsContainer = styled.div`
  position: absolute;
  top: 0;
  left: 0;
`;
